# Generated by Django 3.2.5 on 2021-10-25 07:05

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import phonenumber_field.modelfields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cnh',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Computing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('area', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Interests_area',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('area', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Vaga',
            fields=[
                ('uuid', model_utils.fields.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=200)),
                ('description', models.TextField()),
                ('valid_date', models.DateField(blank=True, default=None, null=True)),
                ('created_at', models.DateField(default=django.utils.timezone.now, editable=False, verbose_name='Data de criação')),
                ('image', models.ImageField(blank=True, upload_to='fotos/%d/%m/%y')),
                ('ativa', models.BooleanField(default=False)),
                ('slug', models.SlugField(default=None, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Curriculo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_favorite', models.BooleanField(default=False, verbose_name='Favorito')),
                ('name', models.CharField(max_length=200, verbose_name='nome')),
                ('street', models.CharField(max_length=150, verbose_name='Rua')),
                ('district', models.CharField(max_length=150, verbose_name='Bairro')),
                ('city', models.CharField(max_length=150, verbose_name='Cidade')),
                ('state', models.CharField(choices=[('AC', 'Acre'), ('AL', 'Alagoas'), ('AP', 'Amapá'), ('AM', 'Amazonas'), ('BA', 'Bahia'), ('CE', 'Ceará'), ('DF', 'Distrito Federal'), ('ES', 'Espírito Santo'), ('GO', 'Goiás'), ('MA', 'Maranhão'), ('MT', 'Mato Grosso'), ('MS', 'Mato Grosso do Sul'), ('MG', 'Minas Gerais'), ('PA', 'Pará'), ('PB', 'Paraíba'), ('PR', 'Paraná'), ('PE', 'Pernambuco'), ('PI', 'Piauí'), ('RJ', 'Rio de Janeiro'), ('RN', 'Rio Grande do Norte'), ('RS', 'Rio Grande do Sul'), ('RO', 'Rondônia'), ('RR', 'Roraima'), ('SC', 'Santa Catarina'), ('SP', 'São Paulo'), ('SE', 'Sergipe'), ('TO', 'Tocantins')], default='MA', max_length=2, verbose_name='Estado')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(max_length=128, verbose_name='Telefone')),
                ('email', models.EmailField(max_length=110)),
                ('postal_code', models.CharField(blank=True, max_length=9, verbose_name='cep')),
                ('gender', models.CharField(choices=[('F', 'Feminino'), ('M', 'Masculino'), ('outros', 'outros')], max_length=6, verbose_name='Sexo')),
                ('marital_status', models.CharField(choices=[('solteiro', 'Solteiro(a)'), ('casado', 'Casado(a)'), ('divorciado', 'Divorciado(a)'), ('viuvo', 'Viúvo(a)'), ('outros', 'outros')], max_length=20, verbose_name='Estado civil')),
                ('sons', models.CharField(blank=True, choices=[('nenhum', 'nenhum'), ('1', '1'), ('2', '2'), ('3', '3'), ('mais de 3', 'mais de 3')], default=None, max_length=20, null=True, verbose_name='filhos')),
                ('birth_date', models.DateField(verbose_name='Data de nascimento')),
                ('pne', models.BooleanField(default=False)),
                ('type_of_npecial_needs', models.TextField(blank=True, verbose_name='Tipo de necessidade especial')),
                ('own_driving', models.CharField(blank=True, choices=[('Não possui', 'Não possui'), ('moto', 'moto'), ('carro', 'carro'), ('caminhão', 'caminhão'), ('outros(as)', 'outros(as)')], default=None, max_length=10, null=True, verbose_name='possui veículo')),
                ('schooling', models.CharField(choices=[('Nível Fundamental - Incompleto', 'Nível Fundamental - Incompleto'), ('Nível Fundamental - Completo', 'Nível Fundamental - Completo'), ('Nível Médio - Incompleto', 'Nível Médio - Incompleto'), ('Nível Médio - Completo', 'Nível Médio - Completo'), ('Graduação - Incompleto', 'Graduação - Incompleto'), ('Graduação - Completo', 'Graduação - Completo'), ('Cursos tecnológicos Sup. - Completo', 'Cursos tecnológicos Sup. - Completo'), ('Cursos tecnológicos Sup. - Incompleto', 'Cursos tecnológicos Sup. - Incompleto'), ('Curso de Extensão - Incompleto', ' Curso de Extensão - Incompleto '), ('Curso de Extensão - Completo', ' Curso de Extensão - Completo '), ('Especialização - Incompleto', ' Especialização - Incompleto '), ('Especialização - Completo', ' Especialização - Completo '), ('MBA - Incompleto', ' MBA - Incompleto '), ('MBA - Completo', ' MBA - Completo '), ('Mestrado - Incompleto', ' Mestrado - Incompleto '), ('Mestrado - Completo', ' Mestrado - Completo '), ('Doutorado - Incompleto', ' Doutorado - Incompleto '), ('Doutorado - Completo', ' Doutorado - Completo')], max_length=100, verbose_name='Escolaridade')),
                ('institutions_and_courses', models.TextField(blank=True, verbose_name='Instituições e cursos')),
                ('english', models.CharField(choices=[('não domina', 'Não domino'), ('básico', 'Básico'), ('intermediárioa', 'Intermediário'), ('avançado', 'Avançado'), ('fluente', 'Fluente'), ('nativo', 'Nativo')], max_length=15, verbose_name='Inglês')),
                ('spanish', models.CharField(choices=[('não domina', 'Não domino'), ('básico', 'Básico'), ('intermediárioa', 'Intermediário'), ('avançado', 'Avançado'), ('fluente', 'Fluente'), ('nativo', 'Nativo')], max_length=15, verbose_name='Espanhol')),
                ('french', models.CharField(choices=[('não domina', 'Não domino'), ('básico', 'Básico'), ('intermediárioa', 'Intermediário'), ('avançado', 'Avançado'), ('fluente', 'Fluente'), ('nativo', 'Nativo')], max_length=15, verbose_name='Francês')),
                ('other_language', models.CharField(blank=True, max_length=200, verbose_name='outro idioma')),
                ('others_courses', models.TextField(blank=True, verbose_name='Outros cursos')),
                ('companny1', models.CharField(blank=True, max_length=200, verbose_name='Empresa que trabalhou 1')),
                ('start_date_companny1', models.DateField(blank=True, default=None, null=True, verbose_name='Data de início')),
                ('end_date_companny1', models.DateField(blank=True, default=None, null=True, verbose_name='Data de saída')),
                ('office_companny1', models.CharField(blank=True, max_length=100, verbose_name='Cargo / Função')),
                ('activitie_companny1', models.TextField(blank=True, verbose_name='Descreva as principais atividades da empresa 1')),
                ('companny2', models.CharField(blank=True, max_length=200, verbose_name='Empresa que trabalhou 2')),
                ('start_date_companny2', models.DateField(blank=True, default=None, null=True, verbose_name='Data de início')),
                ('end_date_companny2', models.DateField(blank=True, default=None, null=True, verbose_name='Data de saída')),
                ('office_companny2', models.CharField(blank=True, max_length=100, verbose_name='Cargo / Função')),
                ('activitie_companny2', models.TextField(blank=True, verbose_name='Descreva as principais atividades da empresa 2')),
                ('companny3', models.CharField(blank=True, max_length=200, verbose_name='Empresa que trabalhou 3')),
                ('start_date_companny3', models.DateField(blank=True, default=None, null=True, verbose_name='Data de início')),
                ('end_date_companny3', models.DateField(blank=True, default=None, null=True, verbose_name='Data de saída')),
                ('office_companny3', models.CharField(blank=True, max_length=100, verbose_name='Cargo / Função')),
                ('activitie_companny3', models.TextField(blank=True, verbose_name='Descreva as principais atividades da empresa 3')),
                ('mini_curriculum', models.TextField(blank=True, verbose_name='MINICURRÍCULO')),
                ('photo', models.ImageField(blank=True, upload_to='user_fotos/%d/%m/%y', verbose_name='enviar uma foto')),
                ('curriculum', models.FileField(blank=True, upload_to='user_curriculum/%d/%m/%y', verbose_name='Anexar o seu currículo:')),
                ('created_at', models.DateField(default=django.utils.timezone.now, editable=False, verbose_name='Data de criação')),
                ('cnh', models.ManyToManyField(blank=True, default=None, to='vagas.Cnh')),
                ('computing', models.ManyToManyField(blank=True, default=None, to='vagas.Computing', verbose_name='Informática')),
                ('interests_area', models.ManyToManyField(blank=True, default=None, to='vagas.Interests_area', verbose_name='Área de interesses')),
                ('job_vacancies', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vagas.vaga', verbose_name='Vaga')),
            ],
        ),
    ]
